<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE components PUBLIC "-//AJAX4JSF//CDK Generator config/EN"  "https://ajax4jsf.dev.java.net/nonav/dtds/component-config.dtd" 
>
<components>
	<component>
		<name>org.richfaces.DropSupport</name>
		<family>org.richfaces.DropSupport</family>
		<classname>org.richfaces.component.html.HtmlDropSupport</classname>
		<superclass>org.richfaces.component.UIDropSupport</superclass>
		<test>
			<classname>org.richfaces.component.html.HtmlDropSupportComponentTest</classname>
			<superclassname>org.ajax4jsf.tests.AbstractAjax4JsfTestCase</superclassname>
		</test>
		<description>
			<![CDATA[
    ]]>
		</description>
		<renderer generate="false" override="true">
			<name>org.richfaces.DropSupportRenderer</name>
			<classname>org.richfaces.renderkit.html.DropSupportRenderer</classname>
		</renderer>
		<tag>
			<name>dropSupport</name>
			<classname>org.richfaces.taglib.DropSupportTag</classname>
			<superclass>org.ajax4jsf.webapp.taglib.HtmlComponentTagBase</superclass>
		</tag>
		<taghandler>
			<classname>org.richfaces.taglib.DropSupportHandler</classname>
		</taghandler>
		
		&ui_command_attributes;
		&dropzone_attributes;
		&ajax_component_attributes;
		
		<property>
			<name>dropListener</name>
			<classname>javax.faces.el.MethodBinding</classname>
			<description><![CDATA[
				MethodBinding representing an action listener method that will be notified after drop operation.
				]]>
			</description>
			<methodargs>org.richfaces.event.DropEvent.class</methodargs>
		</property>
		<property>
			<name>disableDefault</name>
			<classname>java.lang.String</classname>
			<description>
				Disable default action for target event (append "return false;" to JavaScript)
			</description>
		</property>
		<property>
			<name>onsubmit</name>
			<classname>java.lang.String</classname>
			<description>
				JavaScript code for call before submission of ajax event
			</description>
		</property>
		<!--
		<property>
			<name>param</name>
			<classname>java.lang.String</classname>
			<description>
			</description>
			<defaultvalue>"default"</defaultvalue>
		</property>
        -->
        
        <property hidden="true" >
                <name>actionExpression</name>
                <classname>java.lang.String</classname>
                <description>The action method binding expression</description>
        </property>
	</component>
        <listener>
                <name>dropListener</name>
                <listenerclass>
                        org.richfaces.event.DropListener
                </listenerclass>
                <componentclass>
                        org.richfaces.event.DropSource
                </componentclass>
                <eventclass>
                        org.richfaces.event.DropEvent
                </eventclass>
                <methodname>addDropListener</methodname>
                <taghandler generate="true">
                        <classname>
                                org.richfaces.taglib.DropListenerHandler
                        </classname>
                </taghandler>
				<tag generate="true">
					<classname>
						org.richfaces.taglib.DropListenerTag
					</classname>
				</tag>
        </listener>

</components>
